"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormDebug = exports.isDevelopmentMode = void 0;
var react_1 = __importDefault(require("react"));
var react_hook_form_1 = require("react-hook-form");
var Accordion_1 = require("grommet/components/Accordion");
var AccordionPanel_1 = require("grommet/components/AccordionPanel");
var react_2 = require("react");
exports.isDevelopmentMode = function () { return !process.env.NODE_ENV || process.env.NODE_ENV === 'development'; };
exports.FormDebug = function () {
    var _a = react_hook_form_1.useFormContext(), control = _a.control, errors = _a.errors, formState = _a.formState;
    var touched = formState.touched;
    var values = react_hook_form_1.useWatch({ control: control });
    var _b = react_2.useState([0]), activeIndex = _b[0], setActiveIndex = _b[1];
    var preStyle = { max: '90%', padding: 15 };
    return (react_1.default.createElement(Accordion_1.Accordion, { background: "light-1", margin: { top: 'large' }, pad: "small", activeIndex: activeIndex, onActive: function (newActiveIndex) { return setActiveIndex(newActiveIndex); } },
        react_1.default.createElement(AccordionPanel_1.AccordionPanel, { label: "Form Values" },
            react_1.default.createElement("pre", { style: preStyle }, JSON.stringify(values, null, 2))),
        react_1.default.createElement(AccordionPanel_1.AccordionPanel, { label: "Errors" },
            react_1.default.createElement("pre", { style: preStyle }, JSON.stringify(errors, null, 2))),
        react_1.default.createElement(AccordionPanel_1.AccordionPanel, { label: "Touched" },
            react_1.default.createElement("pre", { style: preStyle }, JSON.stringify(touched, null, 2)))));
};
