import React from 'react';
import { FieldError } from 'react-hook-form';
import { FormFieldProps as $FormFieldProps } from 'grommet/components/FormField';
export interface FormFieldInputProps<T = any> {
    ['aria-required']?: 'true' | 'false';
    ['aria-invalid']?: 'true' | 'false';
    name?: string;
    required?: boolean;
    htmlFor?: string;
    onBlur?: (event: any) => void;
    onChange?: (value: T) => void;
    style?: any;
    disabled?: boolean;
    control?: any;
    defaultValue?: T;
}
export interface FormFieldProps extends $FormFieldProps {
    name: string;
    children: React.ReactElement<FormFieldInputProps>;
    required?: boolean;
    renderError?: (error: FieldError | null) => React.ReactNode;
}
export declare const FormField: React.FC<FormFieldProps>;
