"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormField = void 0;
var react_1 = __importDefault(require("react"));
var react_hook_form_1 = require("react-hook-form");
var lodash_get_1 = __importDefault(require("lodash.get"));
var FormField_1 = require("grommet/components/FormField");
var Box_1 = require("grommet/components/Box");
var Text_1 = require("grommet/components/Text");
exports.FormField = function (_a) {
    var children = _a.children, name = _a.name, label = _a.label, required = _a.required, disabled = _a.disabled, $renderError = _a.renderError, props = __rest(_a, ["children", "name", "label", "required", "disabled", "renderError"]);
    var _b = react_hook_form_1.useFormContext(), errors = _b.errors, formState = _b.formState;
    var error = errors && lodash_get_1.default(errors, name, undefined);
    var touched = formState.touched;
    var isTouched = lodash_get_1.default(touched, name, false);
    if (Array.isArray(isTouched)) {
        isTouched = isTouched.reduce(function (acc, value) { return acc || value; }, false);
    }
    var hasError = error !== undefined && isTouched;
    var renderError = error && ($renderError ? $renderError(error) : error.message);
    return (react_1.default.createElement(FormField_1.FormField, __assign({ disabled: disabled, error: renderError, label: required ? (react_1.default.createElement(Box_1.Box, { direction: "row" },
            react_1.default.createElement(Text_1.Text, null, label),
            react_1.default.createElement(Text_1.Text, { color: "status-critical" }, "*"))) : (label), name: name }, props), react_1.default.cloneElement(children, {
        htmlFor: name,
        name: name,
        disabled: disabled,
        'aria-required': required ? 'true' : 'false',
        'aria-invalid': hasError ? 'true' : 'false',
    })));
};
